// applet maken die Huidige tijd op scherm weergeeft.
// lettertype groter zetten
// tijd opvragen en tonen
// laten meetikken van de tijd (extends Thread of implements runable)


import java.awt.*; // applet
import javax.swing.*; // JApplet
import java.util.*; // getInstance
import java.text.*; // dateformat

public class Oef2H16 extends JApplet implements Runnable
{
	private Thread tijdThread = null;



	public void paint(Graphics g)
	{
		super.paint(g);
		Calendar cal = Calendar.getInstance();
		Date date = cal.getTime();
		DateFormat tijd = DateFormat.getTimeInstance();
		g.setFont ( new Font("Times", Font.BOLD, 30));
		g.drawString("Huidige Tijd: " + tijd.format(date), 100, 100);

	}

	public void run()
	{
		Thread mijnThread = Thread.currentThread();
		while(mijnThread == tijdThread)
		{
			repaint();
			try
			{
				tijdThread.sleep(1000);
			}
			catch (InterruptedException e)
			{
				e.printStackTrace();
			}
		}
	}

	public void start()
	{
		if(tijdThread == null)
		{
		tijdThread = new Thread(this, "Tijd");
		tijdThread.start();
		}
	}

	public void stop()
	{
		//tijdThread.stop();
		tijdThread = null;
	}


}

